Name:          laditools
Summary:       Set of tools to control and monitor LADI system
Version:       1.0.1
Release:       2%{?dist}
License:       GPLv3+ and MIT
Group:         Applications/Multimedia
URL:           https://launchpad.net/%{name}/
Source0:       https://launchpad.net/%{name}/trunk/%{version}-rc4/+download/%{name}-%{version}.tar.bz2
BuildArch:     noarch

BuildRequires: pygtk2-devel
BuildRequires: PyYAML
BuildRequires: intltool
BuildRequires: python-distutils-extra
BuildRequires: librsvg2
BuildRequires: hicolor-icon-theme
Requires:      a2jmidid
Requires:      jack-audio-connection-kit-dbus

%description
LADITools is a set of tools aiming to achieve the goals of the LADI 
project to improve desktop integration and user workflow of Linux 
audio system based on JACK and ladish. Those tools take advantage of 
the D-Bus interfaces recently added to JACK and ladish to ease the 
configuration and use of those two great softwares.

%prep
%setup -q -n laditools-1.0.1
sed -i -e 's|gtk/a2j_menu.py|a2j.py|' po/POTFILES.in
sed -i -e 's|gtk/ladimenu.py|ladish.py|' po/POTFILES.in

%install
python setup.py install --prefix=%{buildroot}%{_prefix}
%find_lang %{name}

for i in `ls %{buildroot}%{_datadir}/applications/*.desktop` ; do \
    desktop-file-validate $i;
done;


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
update-desktop-database -q 

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi
update-desktop-database -q

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%doc COPYING README PKG-INFO
%{_bindir}/g15ladi
%{_bindir}/ladi-control-center
%{_bindir}/ladi-player
%{_bindir}/ladi-system-tray
%{_bindir}/ladi-system-log
%{_bindir}/wmladi
%{python_sitelib}/laditools
%{python_sitelib}/laditools-1.0.1-py%{python_version}.egg-info
%{_datadir}/applications/ladi-system-tray.desktop
%{_datadir}/applications/ladi-control-center.desktop
%{_datadir}/applications/ladi-system-log.desktop
%{_datadir}/applications/ladi-player.desktop
%{_datadir}/laditools/*
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/icons/hicolor/*/status/*
%{_mandir}/man1/%{name}.1.*

%changelog
* Sun Jun 03 2012 Brendan Jones <brendan.jones.it@gmail.com> 1.0.1-2
- Add requires and scriptlets

* Sat Jun 02 2012 Brendan Jones <brendan.jones.it@gmail.com> 1.0.1-1
- initial build
